Page MenuHomePhabricator

logrotate permission errors on vyatta logfiles
Closed, ResolvedPublicBUG

Description

root@vyos:~# logrotate /etc/logrotate.conf
error: skipping "/var/log/vyatta/cfg-stderr.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.
error: skipping "/var/log/vyatta/cfg-stdout.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.
error: skipping "/var/log/vyatta/vyatta-commit.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.
error: skipping "/var/log/vyatta/vyatta-config-loader.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.
error: skipping "/var/log/vyatta/ipsec.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.

Details

Difficulty level
Easy (less than an hour)
Version
1.2
Why the issue appeared?
Implementation mistake

Event Timeline

pasik added a subscriber: pasik.May 31 2019, 3:43 PM
hagbard changed the task status from Open to In progress.Jun 19 2019, 7:17 PM
hagbard claimed this task.
hagbard triaged this task as Normal priority.Jun 19 2019, 7:21 PM
hagbard renamed this task from Errors in logrotate output to logrotate permission errors on vyatta logfiles.Jun 19 2019, 7:24 PM
hagbard closed this task as Resolved.Jun 19 2019, 10:11 PM

fixed and successfully tested in VyOS 1.2.0-rolling+201906192322

syncer reopened this task as Backport candidate.Aug 31 2019, 2:48 AM
syncer reassigned this task from hagbard to dmbaturin.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
syncer moved this task from Finished to Backlog on the VyOS 1.3 Equuleus board.
syncer moved this task from Backlog to Finished on the VyOS 1.3 Equuleus board.
syncer added a subscriber: hagbard.

Cherry-picked into crux.

dmbaturin closed this task as Resolved.Aug 31 2019, 2:50 AM
dmbaturin changed Why the issue appeared? from Will be filled on close to Implementation mistake.